Subject: Re: [bug#52247] [PATCH] gnu: shotcut: Find ffmpeg and mlt at runtime.

From: Leo Famulari <[email-masked]>
Date: Thu, 2 Dec 2021 14:16:38 -0500

On Thu, Dec 02, 2021 at 04:18:17PM +0000, Vinicius Monego wrote:
> * gnu/packages/video.scm (shotcut)[arguments]<:#phases>: Symlink ffmpeg and
> mlt binaries to the Shotcut bin folder and remove unused PATH and MLT_PREFIX
> environment variables in the 'wrap-executable phase.

I read your message about this in #50433:

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=50433#17

The first link, which points to code that copies "files from other
projects to its bin directory", is in a function named deploy_mac, so I
don't think it's relevant for us.

Overall, I think it's unusual that we would copy or symlink one program
into another like this. I read build-shotcut.sh and it seems they
actually intend to compile ffmpeg themselves...

https://github.com/mltframework/shotcut/blob/af9f47882d64eb15105559e0729bc7b1e337a9bf/scripts/build-shotcut.sh#L1352

... and then use a wrapper script to point to it:

https://github.com/mltframework/shotcut/blob/af9f47882d64eb15105559e0729bc7b1e337a9bf/scripts/build-shotcut.sh#L1369

That's weird for something as common as ffmpeg, although I actually have
some private packages based on custom ffmpeg, so I am sympathetic.

I think we should ask upstream for advice. They do support distro
packagers, apparently:

https://github.com/mltframework/shotcut/issues/769#issuecomment-528686712

Can you do that? I can do it if you'd rather not. And I'm sorry if you
already knew all this and I'm just wasting your time.